Index: x/installing/installing.xml
===================================================================
--- x/installing/installing.xml	(revision 86924488cb63e1353cfae45b23632eb866fda8fa)
+++ x/installing/installing.xml	(revision 02512b01dd02da4263aa775d7d2a64d8bd4e1552)
@@ -70,5 +70,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x7font.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xkeyboard-config-systemd.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xorg-server.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xorg-server-systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x7driver.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="twm.xml"/>
Index: x/installing/xorg-server-systemd.xml
===================================================================
--- x/installing/xorg-server-systemd.xml	(revision 02512b01dd02da4263aa775d7d2a64d8bd4e1552)
+++ x/installing/xorg-server-systemd.xml	(revision 02512b01dd02da4263aa775d7d2a64d8bd4e1552)
@@ -0,0 +1,324 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xorg-server-download-http "&xorg-download-http;/xserver/xorg-server-&xorg-server-version;.tar.bz2">
+  <!ENTITY xorg-server-download-ftp  "&xorg-download-ftp;/xserver/xorg-server-&xorg-server-version;.tar.bz2">
+  <!ENTITY xorg-server-md5sum        "8a9ff6ee9907360f09b5bdabb8089502">
+  <!ENTITY xorg-server-size          "5.6 MB">
+  <!ENTITY xorg-server-buildsize     "434 MB">
+  <!ENTITY xorg-server-time          "1.6 SBU">
+]>
+
+<sect1 id="xorg-server" xreflabel="Xorg-Server-&xorg-server-version;">
+  <?dbhtml filename="xorg-server.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Xorg-Server-&xorg-server-version;</title>
+
+  <indexterm zone="xorg-server">
+    <primary sortas="a-xorg-server">xorg-server</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Xorg Server</title>
+
+    <para>
+      The <application>Xorg</application> Server is the core
+      of the X Window system.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&xorg-server-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&xorg-server-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &xorg-server-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &xorg-server-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &xorg-server-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &xorg-server-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Optional patch:
+          <ulink url="&patch-root;/xorg-server-&xorg-server-version;-add_prime_support-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Xorg Server Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="openssl"/> or
+      <xref linkend="nettle"/> or
+      <xref linkend="libgcrypt"/>,
+      <xref linkend="pixman"/>,
+      <xref linkend="xorg7-font"/>, and
+      <xref linkend="xkeyboard-config"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libepoxy"/> and
+      <xref linkend="wayland"/> (for <command>Xwayland</command>) and
+      <xref linkend="systemd"/> (for Logind)
+
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para>
+      <xref linkend="acpid"/> (runtime),
+      <xref linkend="doxygen"/> (to build API documentation),
+      <xref linkend="fop"/>, (to build documentation),
+      <xref linkend="gs"/> (to build documentation),
+      <xref linkend="xmlto"/>, (to build documentation), and
+      <ulink url="http://download.savannah.gnu.org/releases/libunwind/">libunwind</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url='&blfs-wiki;/Xorg7Server'/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Xorg Server</title>
+
+    <para>
+      If you have downloaded the optional patch, apply it by running
+      the following command:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../xorg-server-&xorg-server-version;-add_prime_support-1.patch</userinput></screen>
+
+    <para>
+      Install the server by running the following commands:
+    </para>
+
+<screen><userinput>./configure $XORG_CONFIG                    \
+           --with-xkb-output=/var/lib/xkb   \
+           --enable-dmx                     \
+           --enable-glamor                  \
+           --enable-suid-wrapper            &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now as the <systemitem class="username">root</systemitem>
+      user:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+mkdir -pv /etc/X11/xorg.conf.d</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <parameter>--enable-dmx</parameter>: This switch enables building of the DMX
+      (Distributed Multihead X) server.
+    </para>
+
+    <para>
+      <parameter>--enable-glamor</parameter>: This switch enables building of the
+      Glamor DIX module which is required by some drivers.
+    </para>
+
+    <para>
+      <parameter>--enable-suid-wrapper</parameter>: This switch enables building of
+      the suid-root wrapper for legacy driver support on rootless xserver systems.
+    </para>
+
+    <para>
+      <option>--enable-install-setuid</option>: Use this switch if you have not
+      reinstalled <application>systemd</application> with Logind support and
+      wish to run the <application>Xorg Server</application> as the
+      <systemitem class="username">root</systemitem> user.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          cvt, dmxaddinput, dmxaddscreen, dmxinfo, dmxreconfig, dmxresize,
+          dmxrminput, dmxrmscreen, dmxtodmx, dmxwininfo, gtf, vdltodmx, X,
+          Xdmx, xdmxconfig, Xnest, Xorg, Xvfb, and Xwayland
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          $XORG_PREFIX/include/xorg,
+          $XORG_PREFIX/lib/xorg,
+          $XORG_PREFIX/share/X11/xorg.conf.d, and
+          /var/lib/xkb
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cvt-x7">
+        <term><command>cvt</command></term>
+        <listitem>
+          <para>
+            calculates VESA CVT mode lines.
+          </para>
+          <indexterm zone="xorg-server cvt-x7">
+            <primary sortas="b-cvt">cvt</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dmx-x7">
+        <term><command>dmx*</command></term>
+        <listitem>
+          <para>
+            are various tools used for manipulating the dmx server.
+          </para>
+          <indexterm zone="xorg-server dmx-x7">
+            <primary sortas="b-dmx">dmx*</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gtf-x7">
+        <term><command>gtf</command></term>
+        <listitem>
+          <para>
+            calculates VESA GTF mode lines.
+          </para>
+          <indexterm zone="xorg-server gtf-x7">
+            <primary sortas="b-gtf">gtf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="vdltodmx-x7">
+        <term><command>vdltodmx</command></term>
+        <listitem>
+          <para>
+            is a tool used to convert VDL config files to DMX config
+            files.
+          </para>
+          <indexterm zone="xorg-server vdltodmx-x7">
+            <primary sortas="b-vdltodmx">vdltodmx</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="X-x7">
+        <term><command>X</command></term>
+        <listitem>
+          <para>
+            is a symbolic link to Xorg.
+          </para>
+          <indexterm zone="xorg-server X-x7">
+            <primary sortas="b-X">X</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="Xnest-x7">
+        <term><command>Xnest</command></term>
+        <listitem>
+          <para>
+            is a nested X server.
+          </para>
+          <indexterm zone="xorg-server Xnest-x7">
+            <primary sortas="b-Xnest">Xnest</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="Xorg-x7">
+        <term><command>Xorg</command></term>
+        <listitem>
+          <para>
+            is the X11R7 X Server.
+          </para>
+          <indexterm zone="xorg-server Xorg-x7">
+            <primary sortas="b-Xorg">Xorg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="Xvfb-x7">
+        <term><command>Xvfb</command></term>
+        <listitem>
+          <para>
+            is the virtual framebuffer X server for X Version 11.
+          </para>
+          <indexterm zone="xorg-server Xvfb-x7">
+            <primary sortas="b-Xvfb">Xvfb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xdmxconfig-x7">
+        <term><command>xdmxconfig</command></term>
+        <listitem>
+          <para>
+            is a graphical configuration utility for the dmx server.
+          </para>
+          <indexterm zone="xorg-server xdmxconfig-x7">
+            <primary sortas="b-xdmxconfig">xdmxconfig</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: installing/xorg-server.xml
===================================================================
--- x/installing/xorg-server.xml	(revision 86924488cb63e1353cfae45b23632eb866fda8fa)
+++ 	(revision )
@@ -1,321 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY xorg-server-download-http "&xorg-download-http;/xserver/xorg-server-&xorg-server-version;.tar.bz2">
-  <!ENTITY xorg-server-download-ftp  "&xorg-download-ftp;/xserver/xorg-server-&xorg-server-version;.tar.bz2">
-  <!ENTITY xorg-server-md5sum        "8a9ff6ee9907360f09b5bdabb8089502">
-  <!ENTITY xorg-server-size          "5.6 MB">
-  <!ENTITY xorg-server-buildsize     "434 MB">
-  <!ENTITY xorg-server-time          "1.6 SBU">
-]>
-
-<sect1 id="xorg-server" xreflabel="Xorg-Server-&xorg-server-version;">
-  <?dbhtml filename="xorg-server.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Xorg-Server-&xorg-server-version;</title>
-
-  <indexterm zone="xorg-server">
-    <primary sortas="a-xorg-server">xorg-server</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Xorg Server</title>
-
-    <para>
-      The <application>Xorg</application> Server is the core
-      of the X Window system.
-    </para>
-
-    &lfs75_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&xorg-server-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&xorg-server-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &xorg-server-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &xorg-server-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &xorg-server-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &xorg-server-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Optional patch:
-          <ulink url="&patch-root;/xorg-server-&xorg-server-version;-add_prime_support-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Xorg Server Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="openssl"/> or
-      <xref linkend="nettle"/> or
-      <xref linkend="libgcrypt"/>,
-      <xref linkend="pixman"/>,
-      <xref linkend="xorg7-font"/>, and
-      <xref linkend="xkeyboard-config"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para>
-      <xref linkend="acpid"/> (runtime),
-      <xref linkend="doxygen"/> (to build API documentation),
-      <xref linkend="fop"/>, (to build documentation),
-      <xref linkend="gs"/> (to build documentation), and
-      <xref linkend="xmlto"/>, (to build documentation)
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url='&blfs-wiki;/Xorg7Server'/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Xorg Server</title>
-
-    <para>
-      If you have downloaded the optional patch, apply it by running
-      the following command:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../xorg-server-&xorg-server-version;-add_prime_support-1.patch</userinput></screen>
-
-    <para>
-      Install the server by running the following commands:
-    </para>
-
-<screen><userinput>./configure $XORG_CONFIG                    \
-           --with-xkb-output=/var/lib/xkb   \
-           --enable-dmx                     \
-           --enable-install-setuid          \
-           --enable-suid-wrapper            &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
-    </para>
-
-    <para>
-      Now as the <systemitem class="username">root</systemitem>
-      user:
-    </para>
-
-<screen role="root"><userinput>make install &amp;&amp;
-mkdir -pv /etc/X11/xorg.conf.d &amp;&amp;
-cat &gt;&gt; /etc/sysconfig/createfiles &lt;&lt; "EOF"
-<literal>/tmp/.ICE-unix dir 1777 root root
-/tmp/.X11-unix dir 1777 root root</literal>
-EOF</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--enable-dmx</parameter>: Build DMX (Distributed Multihead X)
-      server.
-    </para>
-
-    <para>
-      <parameter>--enable-install-setuid</parameter>: The Xorg binary must run as
-      the root user. This switch ensures that the binary is installed
-      setuid when <command>make</command> is run by an unprivileged user.
-    </para>
-
-    <para>
-      <parameter>--enable-suid-wrapper</parameter>: Build suid-root wrapper for
-      legacy driver support on rootless xserver systems.
-    </para>
-
-    <para>
-      <command>cat &gt;&gt; /etc/sysconfig/createfiles...</command>: This
-      command creates the <filename class="directory">/tmp/.ICE-unix</filename>
-      and <filename class="directory">/tmp/.X11-unix</filename> directories at
-      startup, and ensures that the permissions and ownership are correct as
-      required by the server.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          cvt, dmxaddinput, dmxaddscreen, dmxinfo, dmxreconfig, dmxresize,
-          dmxrminput, dmxrmscreen, dmxtodmx, dmxwininfo, gtf, vdltodmx, X,
-          Xdmx, xdmxconfig, Xnest, Xorg, and Xvfb
-        </seg>
-        <seg>
-          several under $XORG_PREFIX/lib/xorg/modules/{,extensions,multimedia}
-        </seg>
-        <seg>
-          $XORG_PREFIX/include/xorg,
-          $XORG_PREFIX/lib/xorg,
-          $XORG_PREFIX/share/X11/xorg.conf.d, and
-          /var/lib/xkb
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="cvt-x7">
-        <term><command>cvt</command></term>
-        <listitem>
-          <para>
-            calculates VESA CVT mode lines.
-          </para>
-          <indexterm zone="xorg-server cvt-x7">
-            <primary sortas="b-cvt">cvt</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="dmx-x7">
-        <term><command>dmx*</command></term>
-        <listitem>
-          <para>
-            are various tools used for manipulating the dmx server.
-          </para>
-          <indexterm zone="xorg-server dmx-x7">
-            <primary sortas="b-dmx">dmx*</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gtf-x7">
-        <term><command>gtf</command></term>
-        <listitem>
-          <para>
-            calculates VESA GTF mode lines.
-          </para>
-          <indexterm zone="xorg-server gtf-x7">
-            <primary sortas="b-gtf">gtf</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="vdltodmx-x7">
-        <term><command>vdltodmx</command></term>
-        <listitem>
-          <para>
-            is a tool used to convert VDL config files to DMX config
-            files.
-          </para>
-          <indexterm zone="xorg-server vdltodmx-x7">
-            <primary sortas="b-vdltodmx">vdltodmx</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="X-x7">
-        <term><command>X</command></term>
-        <listitem>
-          <para>
-            is a symbolic link to Xorg.
-          </para>
-          <indexterm zone="xorg-server X-x7">
-            <primary sortas="b-X">X</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="Xnest-x7">
-        <term><command>Xnest</command></term>
-        <listitem>
-          <para>
-            is a nested X server.
-          </para>
-          <indexterm zone="xorg-server Xnest-x7">
-            <primary sortas="b-Xnest">Xnest</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="Xorg-x7">
-        <term><command>Xorg</command></term>
-        <listitem>
-          <para>
-            is the X11R7 X Server.
-          </para>
-          <indexterm zone="xorg-server Xorg-x7">
-            <primary sortas="b-Xorg">Xorg</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="Xvfb-x7">
-        <term><command>Xvfb</command></term>
-        <listitem>
-          <para>
-            is the virtual framebuffer X server for X Version 11.
-          </para>
-          <indexterm zone="xorg-server Xvfb-x7">
-            <primary sortas="b-Xvfb">Xvfb</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="xdmxconfig-x7">
-        <term><command>xdmxconfig</command></term>
-        <listitem>
-          <para>
-            is a graphical configuration utility for the dmx server.
-          </para>
-          <indexterm zone="xorg-server xdmxconfig-x7">
-            <primary sortas="b-xdmxconfig">xdmxconfig</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>