Index: appendices/symlinks/rc0.xml
===================================================================
--- appendices/symlinks/rc0.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc0.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -85,4 +85,11 @@
 
 <row>
+<entry>K28</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+<row>
 <entry>K30</entry>
 <entry>sshd</entry>
@@ -170,11 +177,4 @@
 <row>
 <entry>K50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
-<entry>K50</entry>
 <entry>sendsignals</entry>
 <entry><filename>../init.d/sendsignals</filename></entry>
Index: appendices/symlinks/rc1.xml
===================================================================
--- appendices/symlinks/rc1.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc1.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -79,4 +79,12 @@
 
 <row>
+<entry>K28</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+
+<row>
 <entry>K30</entry>
 <entry>sshd</entry>
@@ -149,11 +157,4 @@
 
 <row>
-<entry>K50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
 <entry>K59</entry>
 <entry>firewall</entry>
Index: appendices/symlinks/rc2.xml
===================================================================
--- appendices/symlinks/rc2.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc2.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -61,4 +61,11 @@
 <entry><filename>../init.d/apache</filename></entry>
 <entry>Shut down Apache Daemon: <xref linkend="apache"/></entry>
+</row>
+
+<row>
+<entry>K28</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
 </row>
 
@@ -127,11 +134,4 @@
 
 <row>
-<entry>K50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
 <entry>K59</entry>
 <entry>firewall</entry>
Index: appendices/symlinks/rc3.xml
===================================================================
--- appendices/symlinks/rc3.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc3.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -127,4 +127,11 @@
 
 <row>
+<entry>S32</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+<row>
 <entry>S34</entry>
 <entry>mysql</entry>
@@ -162,11 +169,4 @@
 
 <row>
-<entry>S50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
 <entry>S70</entry>
 <entry>gpm</entry>
Index: appendices/symlinks/rc4.xml
===================================================================
--- appendices/symlinks/rc4.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc4.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -127,4 +127,11 @@
 
 <row>
+<entry>S32</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+<row>
 <entry>S34</entry>
 <entry>mysql</entry>
@@ -162,11 +169,4 @@
 
 <row>
-<entry>S50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
 <entry>S70</entry>
 <entry>gpm</entry>
Index: appendices/symlinks/rc5.xml
===================================================================
--- appendices/symlinks/rc5.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc5.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -120,4 +120,11 @@
 
 <row>
+<entry>S32</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+<row>
 <entry>S34</entry>
 <entry>mysql</entry>
@@ -152,11 +159,4 @@
 <entry><filename>../init.d/fcron</filename></entry>
 <entry>Start Cron Daemon: <xref linkend="fcron"/></entry>
-</row>
-
-<row>
-<entry>S50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Start ProFTPD daemon: <xref linkend="proftpd"/></entry>
 </row>
 
Index: appendices/symlinks/rc6.xml
===================================================================
--- appendices/symlinks/rc6.xml	(revision 98177f6dcce94680f48f8e2af0aa9f7fd674feed)
+++ appendices/symlinks/rc6.xml	(revision 2532d2e8fc81bc8171448c1a70c4ef4be17d1788)
@@ -86,4 +86,11 @@
 
 <row>
+<entry>K28</entry>
+<entry>proftpd</entry>
+<entry><filename>../init.d/proftpd</filename></entry>
+<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
+</row>
+
+<row>
 <entry>K30</entry>
 <entry>sshd</entry>
@@ -171,11 +178,4 @@
 <row>
 <entry>K50</entry>
-<entry>proftpd</entry>
-<entry><filename>../init.d/proftpd</filename></entry>
-<entry>Stop ProFTPD daemon: <xref linkend="proftpd"/></entry>
-</row>
-
-<row>
-<entry>K50</entry>
 <entry>sendsignals</entry>
 <entry><filename>../init.d/sendsignals</filename></entry>