Index: general/sysutils/gpm/gpm-inst.xml
===================================================================
--- general/sysutils/gpm/gpm-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ general/sysutils/gpm/gpm-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -7,6 +7,5 @@
     configuring gpm.</para></note>
     
-<para><screen><userinput>export LDFLAGS="-lm" &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<para><screen><userinput>LDFLAGS="-lm" ./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
@@ -19,5 +18,5 @@
 <para><userinput>export LDFLAGS="-lm": </userinput>The math library
  must be linked with gpm, as ceil() is used in some cursor scrolling
- logic.</para>
+ logic. LDFLAGS is only needed if you optimize gpm for size.</para>
 
 </sect2>
Index: introduction/important/beyond.xml
===================================================================
--- introduction/important/beyond.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ introduction/important/beyond.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -14,5 +14,5 @@
 
 <listitem><para>If you know the name of the package, then search FreshMeat for
-the package at <ulink url="http://freshmeat.net/"/>. Also search Google at
+at <ulink url="http://freshmeat.net/"/>. Also search Google at
 <ulink url="http://google.com/"/>. Sometimes a search for the rpm at
 <ulink url="http://rpmfind.net/"/> or the deb at
@@ -34,5 +34,6 @@
 
 <listitem><para>Many of the newer packages follow the <command>./configure
-&amp;&amp; make &amp;&amp; make install</command> routine. Help of the
+&amp;&amp; make &amp;&amp; make install</command> <emphasis>dance</emphasis>
+routine. Help on the
 options accepted by configure can be obtained via the command
 <command>./configure --help</command>.</para></listitem>
@@ -51,5 +52,5 @@
 
 <tip><para>If you have found a package that is only available in .deb or .rpm format,
-there is are two small scripts rpm2targz and deb2targz that are available at
+there are two small scripts rpm2targz and deb2targz that are available at
 <ulink url="http://www.linuxfromscratch.org/~tushar/downloads/"/> to convert
 the archives into a simple tar.gz format.</para></tip>
Index: multimedia/audioutils/cdparanoia/CDParanoia-inst.xml
===================================================================
--- multimedia/audioutils/cdparanoia/CDParanoia-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ multimedia/audioutils/cdparanoia/CDParanoia-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -5,5 +5,5 @@
 
 <para><screen><userinput>./configure --prefix=/usr &amp;&amp;
-make FLAGS="$CFLAGS" &amp;&amp;
+make &amp;&amp;
 make install</userinput></screen></para>
 
Index: multimedia/cdwriteutils/cdrtools/cdrtools-inst.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools/cdrtools-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ multimedia/cdwriteutils/cdrtools/cdrtools-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -4,8 +4,6 @@
 <para>Install cdrtools by running the following commands:</para>
 
-<para><screen><userinput>make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root \
-&nbsp;&nbsp;&nbsp;COPTS="$CFLAGS" &amp;&amp;
-make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root \
-&nbsp;&nbsp;&nbsp;COPTS="$CFLAGS" install</userinput></screen></para>
+<para><screen><userinput>make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root &amp;&amp;
+make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root install</userinput></screen></para>
 
 </sect2>
Index: multimedia/videoutils/ffmpeg/ffmpeg-inst.xml
===================================================================
--- multimedia/videoutils/ffmpeg/ffmpeg-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ multimedia/videoutils/ffmpeg/ffmpeg-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -4,6 +4,8 @@
 <para>Install ffmpeg by running the following commands:</para>
 
-<para><screen><userinput>unset CFLAGS
-./configure --prefix=/usr &amp;&amp;
+<note><para>The package maintaners recommend compiling without any
+optimizations.</para></note>
+
+<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: multimedia/videoutils/mplayer/mplayer-exp.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -2,7 +2,9 @@
 <title>Command explanations</title>
 
+<!--
 <para><userinput>unset CFLAGS</userinput> : This command clears the
 compile flags.  This command is optional, but the indications are that
 the majority of installs will need it.</para>
+-->
 
 <para><userinput>--enable-freetype</userinput> : This switch tells
Index: multimedia/videoutils/mplayer/mplayer-inst.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -5,4 +5,5 @@
 the bzip2 files decompressed.</para>
 
+<note><para>The package maintainers recommend building without any optimization</para></note>
 <para>Install MPlayer by running the following commands:</para>
 
@@ -13,5 +14,4 @@
 tar -xvf ../qtextras.tar -C /usr/lib/win32 &amp;&amp;
 tar -xvf ../rp9codecs.tar -C /usr/lib/win32 &amp;&amp;
-unset CFLAGS
 ./configure --prefix=/usr --confdir=/etc/mplayer --enable-largefiles \
 --enable-gui --enable-menu --enable-new-conf --enable-qtx-codecs \
Index: x/installing/xfree86/xfree86-inst.xml
===================================================================
--- x/installing/xfree86/xfree86-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ x/installing/xfree86/xfree86-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -68,7 +68,7 @@
  * happens, try building without the DefaultGcc2PpcOpt line.  **************/
 
-#define DefaultGcc2i386Opt  -O2 -fomit-frame-pointer -march=i686  
-#define DefaultGcc2AxpOpt   -O2 -mcpu=ev6
-#define DefaultGcc2PpcOpt   -O2 -mcpu=750
+/* #define DefaultGcc2i386Opt  -O2 -fomit-frame-pointer -march=i686 */
+/* #define DefaultGcc2AxpOpt   -O2 -mcpu=ev6 */
+/* #define DefaultGcc2PpcOpt   -O2 -mcpu=750 */
 
 /* The following definitions are normally set properly by XFree86's scripts.
Index: xsoft/graphweb/mozilla/mozilla-exp.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-exp.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ xsoft/graphweb/mozilla/mozilla-exp.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -30,5 +30,5 @@
 <para><screen><userinput>--disable-jsd --disable-accessibility \
 --disable-tests --disable-debug \
---enable-optimize=-O3 --disable-dtd-debug \
+--disable-dtd-debug \
 --disable-logging --enable-reorder \
 --enable-strip \
Index: xsoft/graphweb/mozilla/mozilla-inst.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-inst.xml	(revision 3e248486b355676a8568bdb5d7f7bc20964f3e3f)
+++ xsoft/graphweb/mozilla/mozilla-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
@@ -41,5 +41,4 @@
             --disable-accessibility \
             --disable-tests --disable-debug \
-            --enable-optimize=-O3 \
             --disable-logging --enable-reorder \
             --enable-strip \