Index: general/sysutils/mc.xml
===================================================================
--- general/sysutils/mc.xml	(revision 343bcdbb91a484705c7a9d1bb4be8c9d34803ff6)
+++ general/sysutils/mc.xml	(revision 2571cae14adf6941b37179548e94d20bb65ec999)
@@ -5,120 +5,165 @@
   %general-entities;
 
-<!ENTITY mc-download-http "http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-&mc-version;.tar.gz">
-<!ENTITY mc-download-ftp "ftp://ftp.uni-koeln.de/util/shell/mc-&mc-version;.tar.gz">
-<!ENTITY mc-md5sum "70804dc9e2049e24f294ff7090a82a12">
-<!ENTITY mc-size "3.6 MB">
-<!ENTITY mc-buildsize "31 MB">
-<!ENTITY mc-time "0.45 SBU">
+  <!ENTITY mc-download-http "http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-&mc-version;.tar.gz">
+  <!ENTITY mc-download-ftp "ftp://ftp.uni-koeln.de/util/shell/mc-&mc-version;.tar.gz">
+  <!ENTITY mc-md5sum "70804dc9e2049e24f294ff7090a82a12">
+  <!ENTITY mc-size "3.6 MB">
+  <!ENTITY mc-buildsize "31 MB">
+  <!ENTITY mc-time "0.45 SBU">
 ]>
 
 <sect1 id="mc" xreflabel="MC-&mc-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="mc.html"?>
-<title><acronym>MC</acronym>-&mc-version;</title>
+  <?dbhtml filename="mc.html"?>
 
-<sect2>
-<title>Introduction to
-<application><acronym>MC</acronym></application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para><application><acronym>MC</acronym></application>
-(Midnight Commander) is a text-mode full-screen file manager and visual
-shell. It provides a clear, user-friendly, and somewhat protected
-interface to a Unix system while making many frequent file operations
-more efficient and preserving the full power of the command
-prompt.</para>
+  <title>MC-&mc-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&mc-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&mc-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &mc-md5sum;</para></listitem>
-<listitem><para>Download size: &mc-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&mc-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&mc-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="mc">
+    <primary sortas="a-MC">MC</primary>
+  </indexterm>
 
-<sect3><title><application><acronym>MC</acronym></application> 
-dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="GLib"/> or <xref linkend="glib2"/></para>
-</sect4>
+  <sect2 role="package">
+    <title>Introduction to MC</title>
 
-<sect4><title>Optional</title>
-<para><xref linkend="gpm"/>, 
-X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
-<xref linkend="samba3"/>,
-<xref linkend="slang"/>,
-<xref linkend="zip"/>,
-<xref linkend="unzip"/> and
-<xref linkend="gnome-libs"/></para>
-</sect4>
-</sect3>
+    <para><application>MC</application> (Midnight Commander) is a text-mode 
+    full-screen file manager and visual shell. It provides a clear, user-friendly, 
+    and somewhat protected interface to a Unix system while making many frequent 
+    file operations more efficient and preserving the full power of the command
+    prompt.</para>
 
-</sect2>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&mc-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&mc-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &mc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &mc-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &mc-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &mc-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Installation of
-<application><acronym>MC</acronym></application></title>
+    <bridgehead renderas="sect3">MC Dependencies</bridgehead>
 
-<para>Install <application><acronym>MC</acronym></application> by
-running the following commands:</para>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="GLib"/> or <xref linkend="glib2"/></para>
 
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="gpm"/>, 
+    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <xref linkend="samba3"/>,
+    <xref linkend="slang"/>,
+    <xref linkend="zip"/>,
+    <xref linkend="unzip"/> and
+    <xref linkend="gnome-libs"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of MC</title>
+
+    <para>Install <application>MC</application> by
+    running the following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install</command></userinput></screen>
+make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Configuring <application><acronym>MC</acronym></application></title>
+  <sect2 role="configuration">
+    <title>Configuring MC</title>
 
-<sect3><title>Config files</title>
-<para><filename>~/.mc/*</filename></para>
-</sect3>
+    <sect3 id="mc-config">
+      <title>Config Files</title>
 
-<sect3><title>Configuration Information</title>
+      <para><filename>~/.mc/*</filename></para>
 
-<para>The <filename class="directory">~/.mc</filename> directory and
-its contents are created when you start <command>mc</command> for the
-first time. Then you can edit the main <filename>~/.mc/ini</filename> 
-configuration file manually or through the 
-<application><acronym>MC</acronym></application> shell. 
-Consult the mc(1) man page for details.</para>
+      <indexterm zone="mc mc-config">
+        <primary sortas="e-AA..mc/*">~/..mc/*</primary>
+      </indexterm>
 
-</sect3>
+    </sect3>
 
-</sect2>
+    <sect3>
+      <title>Configuration Information</title>
 
-<sect2>
-<title>Contents</title>
+      <para>The <filename class="directory">~/.mc</filename> directory and
+      its contents are created when you start <command>mc</command> for the
+      first time. Then you can edit the main <filename>~/.mc/ini</filename> 
+      configuration file manually or through the <application>MC</application> 
+      shell. Consult the mc(1) man page for details.</para>
 
-<para>The <application><acronym>MC</acronym></application> package
-contains <command>mc</command>, <command>mcedit</command>,
-<command>mcmfmt</command> and <command>mcview</command>.</para>
+    </sect3>
 
-</sect2>
+  </sect2>
 
-<sect2><title>Description</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<sect3><title>mc</title>
-<para><command>mc</command> is a visual shell.</para></sect3>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-<sect3><title>mcedit</title>
-<para><command>mcedit</command> is an internal file
-editor.</para></sect3>
+      <seglistitem>
+        <seg>mc, mcedit, mcmfmt, and mcview</seg>
+        <seg>None</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<sect3><title>mcview</title>
-<para><command>mcview</command> is an internal file
-viewer.</para></sect3>
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-</sect2>
+      <varlistentry id="mc-prog">
+        <term><command>mc</command></term>
+        <listitem>
+          <para>is a visual shell.</para>
+          <indexterm zone="mc mc-prog">
+            <primary sortas="b-mc">mc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mcedit">
+        <term><command>mcedit</command></term>
+        <listitem>
+          <para>is an internal file editor.</para>
+          <indexterm zone="mc mcedit">
+            <primary sortas="b-mcedit">mcedit</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mcview">
+        <term><command>mcview</command></term>
+        <listitem>
+          <para>is an internal file viewer.</para>
+          <indexterm zone="mc mcview">
+            <primary sortas="b-mcview">mcview</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>