Index: general/genlib/libuv.xml
===================================================================
--- general/genlib/libuv.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ general/genlib/libuv.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -7,5 +7,5 @@
   <!ENTITY libuv-download-http "https://dist.libuv.org/dist/v&libuv-version;/libuv-v&libuv-version;.tar.gz">
   <!ENTITY libuv-download-ftp  " ">
-  <!ENTITY libuv-md5sum        "7cb2fdadb61a76fc55cbbe928e322862">
+  <!ENTITY libuv-md5sum        "d990b0770dd2b15f7a8399580d55d32c">
   <!ENTITY libuv-size          "1.2 MB">
   <!ENTITY libuv-buildsize     "14 MB (add 12 MB for tests)">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome.ent	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -41,5 +41,5 @@
 <!ENTITY libwnck-version                   "3.36.0">
 <!ENTITY evolution-data-server-version     "3.38.4">
-<!ENTITY folks-version                     "0.14.0">
+<!ENTITY folks-version                     "0.15.1">
 <!ENTITY gfbgraph-version                  "0.2.4">
 <!ENTITY tracker-version                   "2.3.6">
@@ -61,5 +61,5 @@
 <!ENTITY gnome-keyring-version             "3.36.0">
 <!ENTITY gnome-settings-daemon-version     "3.38.1">
-<!ENTITY gnome-control-center-version      "3.38.3">
+<!ENTITY gnome-control-center-version      "3.38.4">
 <!ENTITY mutter-version                    "3.38.3">
 <!ENTITY gnome-shell-version               "3.38.3">
@@ -69,5 +69,5 @@
 <!ENTITY gnome-user-docs-version           "3.38.2">
 <!-- Icons moved to packages.ent, since they're now in the Icons chapter.-->
-<!ENTITY yelp-version                      "3.38.2">
+<!ENTITY yelp-version                      "3.38.3">
 <!-- notification-daemon moved to System Utilites, so it's now in packages.ent -->
 <!-- polkit-gnome moved to Security, so it's now in packages.ent -->
@@ -78,6 +78,6 @@
 <!ENTITY brasero-version                   "3.12.2">
 <!ENTITY cheese-version                    "3.38.0">
-<!ENTITY eog-version                       "3.38.1">
-<!ENTITY evince-version                    "3.38.1">
+<!ENTITY eog-version                       "3.38.2">
+<!ENTITY evince-version                    "3.38.2">
 <!ENTITY evolution-version                 "3.38.4">
 <!ENTITY file-roller-version               "3.38.0">
@@ -92,5 +92,5 @@
 <!ENTITY gnome-screenshot-version          "3.38.0">
 <!ENTITY gnome-system-monitor-version      "3.38.0">
-<!ENTITY gnome-terminal-version            "3.38.2">
+<!ENTITY gnome-terminal-version            "3.38.3">
 <!ENTITY gnome-tweaks-version              "3.34.1">
 <!ENTITY gnome-weather-version             "3.36.1">
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/applications/eog.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -7,6 +7,6 @@
   <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor-38;/eog-&eog-version;.tar.xz">
   <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor-38;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "2bc2aa65cbebd0a0ef37de6445a3b661">
-  <!ENTITY eog-size          "3.5 MB">
+  <!ENTITY eog-md5sum        "49cfecae134e09c32b78843a2acf01f5">
+  <!ENTITY eog-size          "3.4 MB">
   <!ENTITY eog-buildsize     "48 MB">
   <!ENTITY eog-time          "0.3 SBU">
Index: gnome/applications/evince.xml
===================================================================
--- gnome/applications/evince.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/applications/evince.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -9,7 +9,7 @@
   <!ENTITY evince-download-ftp
      "&gnome-download-ftp;/evince/&gnome-minor-38;/evince-&evince-version;.tar.xz">
-  <!ENTITY evince-md5sum        "bd43c9ada0cb1da37542edd672729eab">
+  <!ENTITY evince-md5sum        "497863ba00e1b2906c846d6d6c90a8e7">
   <!ENTITY evince-size          "2.8 MB">
-  <!ENTITY evince-buildsize     "60 MB">
+  <!ENTITY evince-buildsize     "85 MB">
   <!ENTITY evince-time          "0.4 SBU (Using parallelism=4)">
 ]>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/applications/gnome-terminal.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-terminal-download-ftp
            "&gnome-download-ftp;/gnome-terminal/&gnome-minor-38;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "14e40cb7c946cec1fcc7c6f95df21185">
+  <!ENTITY gnome-terminal-md5sum        "cef7deb6780f493a4c510cef3984c34f">
   <!ENTITY gnome-terminal-size          "2.5 MB">
-  <!ENTITY gnome-terminal-buildsize     "48 MB">
+  <!ENTITY gnome-terminal-buildsize     "43 MB">
   <!ENTITY gnome-terminal-time          "0.1 SBU (using parallelism=4)">
 ]>
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/platform/folks.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.14/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.14/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-md5sum        "dc852fceab9e84362b675d5ffcd4803e">
-  <!ENTITY folks-size          "512 KB">
-  <!ENTITY folks-buildsize     "50 MB (add 19 MB for tests)">
-  <!ENTITY folks-time          "0.2 SBU (Using parallelism=4, add 1.0 SBU for tests)">
+  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.15/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.15/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-md5sum        "5d726cdface2b6c68a0d16e68b2c08c9">
+  <!ENTITY folks-size          "480 KB">
+  <!ENTITY folks-buildsize     "47 MB (add 22 MB for tests)">
+  <!ENTITY folks-time          "0.2 SBU (Using parallelism=4, add 0.3 SBU for tests)">
 ]>
 
@@ -93,6 +93,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="tracker"/> (Broken due to API changes in tracker),
-      <ulink url="&gnome-download-http;/libsocialweb/">libsocialweb</ulink>, and
+  <!--<xref linkend="tracker"/> (Broken due to API changes in tracker), -->
+      <ulink url="&gnome-download-http;/libsocialweb/">libsocialweb</ulink> and
       <ulink url="https://packages.debian.org/jessie/zeitgeist">Zeitgeist</ulink>
     </para>
@@ -153,4 +153,5 @@
     <title>Command Explanations</title>
 
+<!-- Tracker support removed in 0.15.1
     <para>
       <option>-Dtracker_backend=true</option>: This switch enables
@@ -160,4 +161,5 @@
       in Tracker that hasn't been accounted for in this package.
     </para>
+-->
 
     <para>
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/platform/gnome-control-center.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-control-center-download-ftp
            "&gnome-download-ftp;/gnome-control-center/&gnome-minor-38;/gnome-control-center-&gnome-control-center-version;.tar.xz">
-  <!ENTITY gnome-control-center-md5sum        "cbc42acae9890d654504010fc1810c72">
+  <!ENTITY gnome-control-center-md5sum        "147d0d5f53992b2c8fdaa695070367b4">
   <!ENTITY gnome-control-center-size          "6.1 MB">
-  <!ENTITY gnome-control-center-buildsize     "184 MB (with tests)">
+  <!ENTITY gnome-control-center-buildsize     "183 MB (with tests)">
   <!ENTITY gnome-control-center-time          "0.4 SBU (Using parallelism=4; with tests)">
 ]>
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ gnome/platform/yelp.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -7,7 +7,7 @@
   <!ENTITY yelp-download-http "&gnome-download-http;/yelp/&gnome-minor-38;/yelp-&yelp-version;.tar.xz">
   <!ENTITY yelp-download-ftp  "&gnome-download-ftp;/yelp/&gnome-minor-38;/yelp-&yelp-version;.tar.xz">
-  <!ENTITY yelp-md5sum        "e36148a18c7e7203d69c9eab616cc096">
-  <!ENTITY yelp-size          "1.5 MB">
-  <!ENTITY yelp-buildsize     "22 MB">
+  <!ENTITY yelp-md5sum        "33c319da0f332b535758a5d7b7a138ad">
+  <!ENTITY yelp-size          "1.4 MB">
+  <!ENTITY yelp-buildsize     "21 MB">
   <!ENTITY yelp-time          "0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ introduction/welcome/changelog.xml	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -46,4 +46,32 @@
      <itemizedlist>
        <listitem>
+         <para>[renodr] - Update to libuv-1.41.0. Fixes
+         <ulink url="&blfs-ticket-root;14654">#14654</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to eog-3.38.2. Fixes
+         <ulink url="&blfs-ticket-root;14656">#14656</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to yelp-3.38.3. Fixes
+         <ulink url="&blfs-ticket-root;14655">#14655</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to evince-3.38.2. Fixes
+         <ulink url="&blfs-ticket-root;14657">#14657</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to gnome-terminal-3.38.3. Fixes
+         <ulink url="&blfs-ticket-root;14658">#14658</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to folks-0.15.1. Fixes
+         <ulink url="&blfs-ticket-root;14659">#14659</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to gnome-control-center-3.38.4. Fixes
+         <ulink url="&blfs-ticket-root;14660">#14660</ulink>.</para>
+       </listitem>
+       <listitem>
          <para>[ken] - In seamonkey mention the elf-hack and default to
          disabling it because of binutils-2.36+. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision dc7314fee88877d69c0e719d2169c295de864b46)
+++ packages.ent	(revision 2582e64b460cbb2927547b9c963003899ca50864)
@@ -169,5 +169,5 @@
 <!ENTITY libusb-version               "1.0.24">
 <!ENTITY libusb-compat-version        "0.1.5">
-<!ENTITY libuv-version                "1.40.0">
+<!ENTITY libuv-version                "1.41.0">
 <!ENTITY libxkbcommon-version         "1.0.3">
 <!-- the libxml2-version is also used for the python2 module,