Index: general.ent
===================================================================
--- general.ent	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ general.ent	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "21">                   <!-- Always 2 digits -->
+<!ENTITY day          "22">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 21st, &year;">
+<!ENTITY releasedate  "June 22nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ general/prog/guile.xml	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -7,8 +7,8 @@
   <!ENTITY guile-download-http "&gnu-http;/guile/guile-&guile-version;.tar.xz">
   <!ENTITY guile-download-ftp  "&gnu-ftp;/guile/guile-&guile-version;.tar.xz">
-  <!ENTITY guile-md5sum        "8941255461ad4566c3182143baf68126">
+  <!ENTITY guile-md5sum        "d3b4f1676aa90c0f91c40b08ba88c156">
   <!ENTITY guile-size          "12 MB">
-  <!ENTITY guile-buildsize     "206 MB (add 3 MB for tests)">
-  <!ENTITY guile-time          "2.0 SBU (Using parallelism=4; add 0.4 SBU for tests)">
+  <!ENTITY guile-buildsize     "273 MB (add 3 MB for tests)">
+  <!ENTITY guile-time          "1.9 SBU (Using parallelism=4; add 0.4 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ introduction/welcome/changelog.xml	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -43,4 +43,22 @@
     -->
     <listitem>
+      <para>June 22nd, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to guile-3.0.3. Fixes
+          <ulink url="&blfs-ticket-root;13698">#13698</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to graphene-1.10.2. Fixes
+          <ulink url="&blfs-ticket-root;13699">#13699</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to network-manager-applet-1.18.0. Fixes
+          <ulink url="&blfs-ticket-root;13700">#13700</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 21st, 2020</para>
       <itemizedlist>
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ multimedia/videoutils/ffmpeg.xml	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -355,7 +355,7 @@
 
     <para>
-      <option>--enable-libdrm</option>: Use it if <xref linkend="libdrm"/>
-      is installed, to build <quote>kmsgrab</quote> input module which is
-      useful for screen capturing or streaming.
+      <option>--enable-libdrm</option>: Use this switch if 
+      <xref linkend="libdrm"/> is installed to build the <quote>kmsgrab</quote>
+      input module which is useful for screen capturing or streaming.
     </para>
 
Index: networking/netutils/network-manager-applet.xml
===================================================================
--- networking/netutils/network-manager-applet.xml	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ networking/netutils/network-manager-applet.xml	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -6,10 +6,10 @@
 
   <!ENTITY network-manager-applet-download-http
-           "&gnome-download-http;/network-manager-applet/1.16/network-manager-applet-&network-manager-applet-version;.tar.xz">
+           "&gnome-download-http;/network-manager-applet/1.18/network-manager-applet-&network-manager-applet-version;.tar.xz">
   <!ENTITY network-manager-applet-download-ftp
-           "&gnome-download-ftp;/network-manager-applet/1.16/network-manager-applet-&network-manager-applet-version;.tar.xz">
-  <!ENTITY network-manager-applet-md5sum    "9652c2757e85d6caba657405cf794fbd">
+           "&gnome-download-ftp;/network-manager-applet/1.18/network-manager-applet-&network-manager-applet-version;.tar.xz">
+  <!ENTITY network-manager-applet-md5sum    "1db711d29207f750985511eb8ca0a706">
   <!ENTITY network-manager-applet-size      "1.9 MB">
-  <!ENTITY network-manager-applet-buildsize "54 MB (with tests)">
+  <!ENTITY network-manager-applet-buildsize "53 MB (with tests)">
   <!ENTITY network-manager-applet-time      "0.3 SBU (with tests)">
 ]>
@@ -126,4 +126,5 @@
 meson --prefix=/usr     \
       --sysconfdir=/etc \
+      -Dappindicator=no \
       -Dselinux=false   \
       -Dteam=false      .. &amp;&amp;
@@ -144,4 +145,11 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <parameter>-Dappindicator=no</parameter>: This switch disables
+      AppIndicator support in network-manager-applet because it
+      requires libindicator, which is not in BLFS. The build will fail
+      without this option.
+    </para>
 
     <para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ packages.ent	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -334,5 +334,5 @@
 <!ENTITY gdb-version                  "9.2">
 <!ENTITY git-version                  "2.27.0">
-<!ENTITY guile-version                "3.0.2">
+<!ENTITY guile-version                "3.0.3">
 <!ENTITY librep-version               "0.92.7">
 <!ENTITY llvm-majmin-version          "10.0">
@@ -594,5 +594,5 @@
 <!ENTITY NetworkManager-minor         "1.24">
 <!ENTITY NetworkManager-version       "&NetworkManager-minor;.2">
-<!ENTITY network-manager-applet-version "1.16.0">
+<!ENTITY network-manager-applet-version "1.18.0">
 <!ENTITY nmap-version                 "7.80">
 <!ENTITY traceroute-version           "2.1.0">
@@ -725,5 +725,5 @@
 <!ENTITY glu-version                  "9.0.1">
 <!ENTITY goffice010-version           "0.10.47">
-<!ENTITY graphene-version             "1.10.0">
+<!ENTITY graphene-version             "1.10.2">
 <!ENTITY gtk2-version                 "2.24.32">
 <!ENTITY gtk3-version                 "3.24.20">
Index: x/lib/graphene.xml
===================================================================
--- x/lib/graphene.xml	(revision 1ab3240ecf1c55e15b42bc56f48bf5f64ccb3e35)
+++ x/lib/graphene.xml	(revision 2597ad12d5418d2e047ec2c7cb722f54dec1378a)
@@ -7,6 +7,6 @@
   <!ENTITY graphene-download-http "https://github.com/ebassi/graphene/releases/download/&graphene-version;/graphene-&graphene-version;.tar.xz">
   <!ENTITY graphene-download-ftp  " ">
-  <!ENTITY graphene-md5sum        "07f72436bc7a85d12f5edd9fcedd0184">
-  <!ENTITY graphene-size          "284 KB">
+  <!ENTITY graphene-md5sum        "a2c26c4f44a02ca053e0e9afb63cc94c">
+  <!ENTITY graphene-size          "288 KB">
   <!ENTITY graphene-buildsize     "15 MB">
   <!ENTITY graphene-time          "0.1 SBU">