Index: general.ent
===================================================================
--- general.ent	(revision 96ece2d77ddaad790e1ca591f7644a73ce78999d)
+++ general.ent	(revision 2686d1604a11ae256e56d4bf35a3a26fa19ef2ca)
@@ -310,5 +310,5 @@
 <!ENTITY courier-version              "0.47">
 <!ENTITY exim-version                 "4.52">
-<!ENTITY postfix-version              "2.2.5">
+<!ENTITY postfix-version              "2.2.8">
 <!ENTITY qpopper-version              "4.0.5">
 <!ENTITY sendmail-version             "8.13.5">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 96ece2d77ddaad790e1ca591f7644a73ce78999d)
+++ introduction/welcome/changelog.xml	(revision 2686d1604a11ae256e56d4bf35a3a26fa19ef2ca)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[archaic] - Updated to Postfix-2.2.8.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Text updates and corrections provided by a patch
           sent in by Chris Staub.</para>
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 96ece2d77ddaad790e1ca591f7644a73ce78999d)
+++ server/mail/postfix.xml	(revision 2686d1604a11ae256e56d4bf35a3a26fa19ef2ca)
@@ -7,7 +7,7 @@
   <!ENTITY postfix-download-http "http://www.mirrorspace.org/postfix/official/postfix-&postfix-version;.tar.gz">
   <!ENTITY postfix-download-ftp "ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-&postfix-version;.tar.gz">
-  <!ENTITY postfix-md5sum "f164b701c3e97b950d4cc64aff4de3c0">
-  <!ENTITY postfix-size "2.3 MB">
-  <!ENTITY postfix-buildsize "81 MB">
+  <!ENTITY postfix-md5sum "971bf94de3e8433c8965c27b42d56b9a">
+  <!ENTITY postfix-size "2.4 MB">
+  <!ENTITY postfix-buildsize "73 MB">
   <!ENTITY postfix-time "0.3 SBU">
 ]>
@@ -193,9 +193,6 @@
 <screen role="root"><userinput>groupadd -g 32 postfix &amp;&amp;
 groupadd -g 33 postdrop &amp;&amp;
-groupadd -g 99 nogroup &amp;&amp;
 useradd -c "Postfix Daemon User" -d /dev/null -g postfix \
     -s /bin/false -u 32 postfix &amp;&amp;
-useradd -c "Unprivileged Nobody" -d /dev/null -g nogroup \
-    -s /bin/false -u 99 nobody &amp;&amp;
 chown -v postfix:postfix /var/mail</userinput></screen>
 
@@ -326,9 +323,9 @@
 
       <seglistitem>
-        <seg>bounce, cleanup, error, flush, lmtp, local, mailq, master,
-        newaliases, nqmgr, oqmgr, pickup, pipe, postalias, postcat, postconf,
-        postdrop, postfix, postkick, postlock, postlog, postmap, postqueue,
-        postsuper, proxymap, qmgr, qmqpd, sendmail, showq, smtp, smtpd, spawn,
-        trivial-rewrite, verify, and virtual</seg>
+        <seg>anvil, bounce, cleanup, discard, error, flush, lmtp, local, mailq,
+        master, newaliases, nqmgr, oqmgr, pickup, pipe, postalias, postcat,
+        postconf, postdrop, postfix, postkick, postlock, postlog, postmap,
+        postqueue, postsuper, proxymap, qmgr, qmqpd, sendmail, showq, smtp,
+        smtpd, spawn, tlsmgr, trivial-rewrite, verify, and virtual</seg>
         <seg>None</seg>
         <seg>/etc/postfix, /usr/lib/postfix and /usr/share/doc/postfix</seg>
@@ -341,4 +338,14 @@
       <?dbhtml list-presentation="table"?>
 
+      <varlistentry id="anvil">
+        <term><command>anvil</command></term>
+        <listitem>
+          <para>Provides connection and rate request limiting.</para>
+          <indexterm zone="postfix anvil">
+            <primary sortas="b-anvil">anvil</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="bounce">
         <term><command>bounce</command></term>
@@ -356,7 +363,19 @@
         <listitem>
           <para>A daemon that processes inbound mail, inserts it into the
-          incoming mail queue, and informs the queue manager of its arrival.</para>
+          incoming mail queue, and informs the queue manager of its
+          arrival.</para>
           <indexterm zone="postfix cleanup">
             <primary sortas="b-cleanup">cleanup</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="discard">
+        <term><command>discard</command></term>
+        <listitem>
+	  <para>Processes delivery requests from the queue manager that cannot
+          be delivered to the recipient.</para>
+          <indexterm zone="postfix discard">
+            <primary sortas="b-discard">discard</primary>
           </indexterm>
         </listitem>
@@ -634,4 +653,15 @@
           <indexterm zone="postfix qmqpd">
             <primary sortas="b-qmqpd">qmqpd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="scache">
+        <term><command>scache</command></term>
+        <listitem>
+          <para>Maintains a connection cache used for sharing a connection
+          multiple times.</para>
+          <indexterm zone="postfix scache">
+            <primary sortas="b-scache">scache</primary>
           </indexterm>
         </listitem>
@@ -695,4 +725,15 @@
       </varlistentry>
 
+      <varlistentry id="tlsmgr">
+        <term><command>tlsmgr</command></term>
+        <listitem>
+          <para>Maintains the TLS session cache and acts as the PRNG
+          manager.</para>
+          <indexterm zone="postfix tlsmgr">
+            <primary sortas="b-tlsmgr">tlsmgr</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="trivial-rewrite">
         <term><command>trivial-rewrite</command></term>