Index: general.ent
===================================================================
--- general.ent	(revision 9640e5cb6120d99c6dc8a88b85f84c5e353f96ea)
+++ general.ent	(revision 02740fb8ed7652c0d3217fefdfd1ce45eb1dc84f)
@@ -1,11 +1,11 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
-<!ENTITY month        "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 30th, &year;">
+<!ENTITY releasedate  "December 1st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 9640e5cb6120d99c6dc8a88b85f84c5e353f96ea)
+++ gnome.ent	(revision 02740fb8ed7652c0d3217fefdfd1ce45eb1dc84f)
@@ -92,5 +92,5 @@
 <!ENTITY gnome-weather-version             "3.26.0">
 <!ENTITY gucharmap-version                 "10.0.2">
-<!ENTITY network-manager-applet-version    "1.8.4">
+<!ENTITY network-manager-applet-version    "1.8.6">
 <!ENTITY seahorse-version                  "3.20.0">
 <!ENTITY vinagre-version                   "3.22.0">
Index: gnome/applications/network-manager-applet.xml
===================================================================
--- gnome/applications/network-manager-applet.xml	(revision 9640e5cb6120d99c6dc8a88b85f84c5e353f96ea)
+++ gnome/applications/network-manager-applet.xml	(revision 02740fb8ed7652c0d3217fefdfd1ce45eb1dc84f)
@@ -9,8 +9,8 @@
   <!ENTITY network-manager-applet-download-ftp
            "&gnome-download-ftp;/network-manager-applet/1.8/network-manager-applet-&network-manager-applet-version;.tar.xz">
-  <!ENTITY network-manager-applet-md5sum        "d796b3d8b0ee940e89b5572869e5379c">
-  <!ENTITY network-manager-applet-size          "1.5 MB">
-  <!ENTITY network-manager-applet-buildsize     "68 MB (an additonal 1 MB for tests)">
-  <!ENTITY network-manager-applet-time          "0.8 SBU (less than 0.1 SBU for tests)">
+  <!ENTITY network-manager-applet-md5sum        "9fd564a430201d0a8ff34f5ab50fc609">
+  <!ENTITY network-manager-applet-size          "1.4 MB">
+  <!ENTITY network-manager-applet-buildsize     "40 MB (with tests)">
+  <!ENTITY network-manager-applet-time          "0.2 SBU (with tests)">
 ]>
 
@@ -128,13 +128,15 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr       \
-            --sysconfdir=/etc   \
-            --disable-static    \
-            --without-selinux   \
-            --without-team      &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
+<screen><userinput>mkdir build &amp;&amp;
+cd build    &amp;&amp;
+
+meson --prefix=/usr          \
+      --sysconfdir=/etc      \
+      -Denable-selinux=false \
+      -Denable-team=false    &amp;&amp;
+ninja</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>ninja test</command>.
     </para>
 
@@ -143,5 +145,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9640e5cb6120d99c6dc8a88b85f84c5e353f96ea)
+++ introduction/welcome/changelog.xml	(revision 02740fb8ed7652c0d3217fefdfd1ce45eb1dc84f)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>December 1st, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to network-manager-applet-1.8.6. Fixes
+          <ulink url="&blfs-ticket-root;10006">#10006</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 30th, 2017</para>
       <itemizedlist>