Index: general/prog/pycairo.xml
===================================================================
--- general/prog/pycairo.xml	(revision 946abe2679d877951cbdfbc20aed73b1b5b666ae)
+++ general/prog/pycairo.xml	(revision 02790b129dea242364dcd20c84faf122bfddb36f)
@@ -7,8 +7,8 @@
   <!ENTITY pycairo-download-http "https://github.com/pygobject/pycairo/releases/download/v&pycairo-version;/pycairo-&pycairo-version;.tar.gz">
   <!ENTITY pycairo-download-ftp  " ">
-  <!ENTITY pycairo-md5sum        "34c1ee106655b450c4bd57e29371a4a7">
-  <!ENTITY pycairo-size          "192 KB">
-  <!ENTITY pycairo-buildsize     "5.6 MB">
-  <!ENTITY pycairo-time          "less than 0.1 SBU">
+  <!ENTITY pycairo-md5sum        "5ee1e07742b184f88505bd47569b5c2d">
+  <!ENTITY pycairo-size          "197 KB">
+  <!ENTITY pycairo-buildsize     "7.1 MB">
+  <!ENTITY pycairo-time          "0.1 SBU">
 ]>
 
@@ -74,7 +74,12 @@
       </para>
 
+      <bridgehead renderas="sect5">Recommended</bridgehead>
+      <para role="recommended">
+        <xref linkend="python2"/> (<xref role="nodep" linkend="pygtk"/>
+        can only use <application>Python 2</application>)
+      </para>
+
       <bridgehead renderas="sect5">Optional</bridgehead>
       <para role="optional">
-        <xref linkend="python2"/> and
         <ulink url="https://hypothesis.readthedocs.io">Hypothesis</ulink> 
           (for tests)
@@ -143,9 +148,12 @@
           <seg>
             _cairo.so (python2) and 
-            _cairo.cpython-36m-x86_64-linux-gnu.so (python3)
+            _cairo.cpython-37m-x86_64-linux-gnu.so (python3)
           </seg>
           <seg>
-            /usr/lib/python&python2-majorver;/site-packages/cairo and
-            /usr/lib/python&python3-majorver;/site-packages/cairo
+            /usr/include/pycairo,
+            /usr/lib/python&python2-majorver;/site-packages/cairo
+            /usr/lib/python&python2-majorver;/site-packages/pycairo-&pycairo-version;-py&python2-majorver;.egg-info,
+            /usr/lib/python&python3-majorver;/site-packages/cairo , and
+            /usr/lib/python&python3-majorver;/site-packages/pycairo-&pycairo-version;-py&python3-majorver;.egg-info,
           </seg>
         </seglistitem>
Index: general/prog/six.xml
===================================================================
--- general/prog/six.xml	(revision 946abe2679d877951cbdfbc20aed73b1b5b666ae)
+++ general/prog/six.xml	(revision 02790b129dea242364dcd20c84faf122bfddb36f)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY six-download-http "https://pypi.io/packages/source/s/six/six-&six-version;.tar.gz">
+  <!ENTITY six-download-http "&pymodules-dl;/s/six/six-&six-version;.tar.gz">
   <!ENTITY six-download-ftp  " ">
-  <!ENTITY six-md5sum        "d12789f9baf7e9fb2524c0c64f1773f8">
+  <!ENTITY six-md5sum        "9ae5d1feed8c0215f4ae4adcd9207fcb">
   <!ENTITY six-size          "32 KB">
-  <!ENTITY six-buildsize     "352 KB">
+  <!ENTITY six-buildsize     "544 KB">
   <!ENTITY six-time          "less than 0.1 SBU">
 ]>
@@ -68,6 +68,6 @@
       <bridgehead renderas="sect4">Six Dependencies</bridgehead>
 
-      <bridgehead renderas="sect5">Optional Dependencies</bridgehead>
-      <para role="optional">
+      <bridgehead renderas="sect5">Recommended Dependencies</bridgehead>
+      <para role="recommended">
         <xref linkend="python2"/> 
       </para>
@@ -80,4 +80,12 @@
     <sect3 role="installation">
       <title>Installation of six</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
 
       <para>
@@ -122,5 +130,5 @@
       <segmentedlist>
         <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Module</segtitle>
+        <segtitle>Installed Libraries</segtitle>
         <segtitle>Installed Directories</segtitle>
 
@@ -130,9 +138,9 @@
           </seg>
           <seg>
-            six.py
+            None
           </seg>
           <seg>
-            /usr/lib/python&python2-majorver;/site-packages/six-&six-version;-py&python2-majorver;.egg and/or
-            /usr/lib/python&python3-majorver;/site-packages/six-&six-version;-py&python3-majorver;.egg
+            /usr/lib/python&python2-majorver;/site-packages/six-&six-version;-py&python2-majorver;.egg-info and/or
+            /usr/lib/python&python3-majorver;/site-packages/six-&six-version;-py&python3-majorver;.egg-info
           </seg>
         </seglistitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 946abe2679d877951cbdfbc20aed73b1b5b666ae)
+++ introduction/welcome/changelog.xml	(revision 02790b129dea242364dcd20c84faf122bfddb36f)
@@ -44,4 +44,18 @@
 
     <listitem>
+      <para>January 12th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to six-1.12.0. Make Python 2 recommended.
+          Fixes <ulink url="&blfs-ticket-root;11428">#11428</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to pycairo-1.18.0. Make Python 2 recommended.
+          Fixes <ulink url="&blfs-ticket-root;11316">#11316</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 11th, 2019</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 946abe2679d877951cbdfbc20aed73b1b5b666ae)
+++ packages.ent	(revision 02790b129dea242364dcd20c84faf122bfddb36f)
@@ -514,8 +514,8 @@
 
 <!-- Python module versions used in the Python Modules instructions -->
-<!ENTITY Beaker-version               "1.10.0">
+<!-- <!ENTITY Beaker-version               "1.10.0"> -->
 <!ENTITY docutils-version             "0.14">
 <!ENTITY dbus-python-version          "1.2.8">
-<!ENTITY funcsigs-version             "1.0.2">
+<!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY Jinja2-version               "2.10">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
@@ -525,5 +525,5 @@
 <!ENTITY pyatspi2-version             "2.30.0">
 <!--<!ENTITY py2cairo-version             "1.10.0"> -->
-<!ENTITY pycairo-version              "1.17.1">
+<!ENTITY pycairo-version              "1.18.0">
 <!ENTITY pycrypto-version             "2.6.1">
 <!ENTITY pygobject2-version           "2.28.7">
@@ -533,5 +533,5 @@
 <!ENTITY PyYAML-version               "3.13">
 <!ENTITY scour-version                "0.37">
-<!ENTITY six-version                  "1.11.0">
+<!ENTITY six-version                  "1.12.0">
 <!-- <!ENTITY setuptools-version           "30.2.0"> -->
 