Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b1092d905bf46d9453143061f08fa7f307e49d65)
+++ introduction/welcome/changelog.xml	(revision 2882aa24802ef7f87537332d3ccb1de1e4c8a0d8)
@@ -44,4 +44,22 @@
 
 -->
+
+    <listitem>
+      <para>January 11th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to extra-cmake-modules-5.18.0. Fixes
+          <ulink url="&blfs-ticket-root;7346">#7346</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to oxygen-icons5-5.18.0. Fixes
+          <ulink url="&blfs-ticket-root;7345">#7345</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to nano-2.5.1. Fixes
+          <ulink url="&blfs-ticket-root;7344">#7344</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision b1092d905bf46d9453143061f08fa7f307e49d65)
+++ kde/extra-cmake-modules.xml	(revision 2882aa24802ef7f87537332d3ccb1de1e4c8a0d8)
@@ -5,9 +5,9 @@
   %general-entities;
 
-   <!ENTITY extra-cmake-modules-download-http "http://download.kde.org/stable/frameworks/5.17/extra-cmake-modules-&extra-cmake-modules-version;.tar.xz">
+   <!ENTITY extra-cmake-modules-download-http "http://download.kde.org/stable/frameworks/5.18/extra-cmake-modules-&extra-cmake-modules-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "dedb4a47cc8f850078792b5404de0d43">
-   <!ENTITY extra-cmake-modules-size          "140 KB">
-   <!ENTITY extra-cmake-modules-buildsize     "3.5 MB">
+   <!ENTITY extra-cmake-modules-md5sum        "bcbcd88f73333da0ee5fb54f8e5242f1">
+   <!ENTITY extra-cmake-modules-size          "280 KB">
+   <!ENTITY extra-cmake-modules-buildsize     "4.2 MB">
    <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision b1092d905bf46d9453143061f08fa7f307e49d65)
+++ packages.ent	(revision 2882aa24802ef7f87537332d3ccb1de1e4c8a0d8)
@@ -59,5 +59,5 @@
 <!ENTITY emacs-version                "24.5">
 <!ENTITY joe-version                  "4.1">
-<!ENTITY nano-version                 "2.5.0">
+<!ENTITY nano-version                 "2.5.1">
 <!ENTITY vim-version                  "7.4">
 
@@ -520,9 +520,11 @@
 <!-- Part VII -->
 <!-- Chapters 28-33 -->                           <!-- stable lt .90 micro version -->
-<!ENTITY extra-cmake-modules-version  "5.17.0">
+<!ENTITY extra-cmake-modules-version  "5.18.0">
 <!ENTITY kde-version                  "15.12.0">
 <!ENTITY kde-old-version              "4.14.3">
 <!ENTITY kactivities-version          "4.13.3">
 <!ENTITY oxygen-icons-version         "15.04.3">
+<!ENTITY oxygen-icons5-minor          "5.18">
+<!ENTITY oxygen-icons5-version        "&oxygen-icons5-minor;.0">
 <!ENTITY ark-version                  "15.04.3">
 <!ENTITY kmix-version                 "15.04.3">
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision b1092d905bf46d9453143061f08fa7f307e49d65)
+++ postlfs/editors/nano.xml	(revision 2882aa24802ef7f87537332d3ccb1de1e4c8a0d8)
@@ -7,5 +7,5 @@
   <!ENTITY nano-download-http "http://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
   <!ENTITY nano-download-ftp  "ftp://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
-  <!ENTITY nano-md5sum        "751ed96457017572bab15be18cb873ba">
+  <!ENTITY nano-md5sum        "f25c7da9813ae5f1df7e5dd1072de4ce">
   <!ENTITY nano-size          "1.9 MB">
   <!ENTITY nano-buildsize     "13 MB">
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision b1092d905bf46d9453143061f08fa7f307e49d65)
+++ x/icons/oxygen-icons5.xml	(revision 2882aa24802ef7f87537332d3ccb1de1e4c8a0d8)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY oxygen-icons5-download-http "&kf5-download-http;/oxygen-icons5-&kf5-version;.tar.xz">
+  <!ENTITY oxygen-icons5-download-http "http://download.kde.org/stable/frameworks/&oxygen-icons5-minor;/oxygen-icons5-&oxygen-icons5-version;.tar.xz">
   <!ENTITY oxygen-icons5-download-ftp  " ">
-  <!ENTITY oxygen-icons5-md5sum        "4a6179f80c9e253ef790d1d409884f11">
+  <!ENTITY oxygen-icons5-md5sum        "af3ffb2b0e1f978d13fbdf88da29bb89">
   <!ENTITY oxygen-icons5-size          "221 MB">
-  <!ENTITY oxygen-icons5-buildsize     "887 MB">
+  <!ENTITY oxygen-icons5-buildsize     "893 MB">
   <!ENTITY oxygen-icons5-time          "less than 0.1 SBU">
 ]>
 
-<sect1 id="oxygen-icons5" xreflabel="oxygen-icons5-&kf5-version;">
+<sect1 id="oxygen-icons5" xreflabel="oxygen-icons5-&oxygen-icons5-version;">
   <?dbhtml filename="oxygen-icons5.html"?>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>oxygen-icons5-&kf5-version;</title>
+  <title>oxygen-icons5-&oxygen-icons5-version;</title>
 
   <indexterm zone="oxygen-icons5">
@@ -31,7 +31,7 @@
 
     <para>The oxygen icons 5 theme is a photo-realistic icon style, with a
-    high standard of graphics quality. It is very similar to <xref 
-    linkend="oxygen-icons"/> but has been updated slightly for KDE 
-    Frameworks 5 (KF5).  
+    high standard of graphics quality. It is very similar to <xref
+    linkend="oxygen-icons"/> but has been updated slightly for KDE
+    Frameworks 5 (KF5).
     </para>
 
@@ -76,5 +76,5 @@
     <title>Installation of oxygen-icons5</title>
 
-    <para>First, install a missing file:</para>
+<!--    <para>First, install a missing file:</para>
 
 <screen><userinput>cat > CMakeLists.txt &lt;&lt; "EOF"
@@ -86,11 +86,11 @@
 include(FeatureSummary)
 find_package(ECM 5.17.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES 
+set_package_properties(ECM PROPERTIES
    TYPE REQUIRED DESCRIPTION "Extra CMake Modules." )
 
-feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND 
+feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND
                      FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} 
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
                       ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -110,14 +110,20 @@
 set( oxygen_icon_dirs  16x16 32x32 48x48 64x64 128x128 256x256 scalable)
 
-install( DIRECTORY   ${oxygen_icon_dirs} 
-         DESTINATION ${OXYGEN_INSTALL_DIR} 
-         PATTERN      .svn   EXCLUDE 
+install( DIRECTORY   ${oxygen_icon_dirs}
+         DESTINATION ${OXYGEN_INSTALL_DIR}
+         PATTERN      .svn   EXCLUDE
          PATTERN      "*.sh" EXCLUDE )
 
 install( FILES index.theme DESTINATION ${OXYGEN_INSTALL_DIR})
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES 
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES
                      FATAL_ON_MISSING_REQUIRED_PACKAGES)
-EOF</userinput></screen>
+EOF</userinput></screen>-->
+
+    <para>First, fix the install directory and enable scalable icons:</para>
+
+<screen><userinput>sed -e '/set(OXYGEN/ s:${KDE.*:/usr/share/icons/oxygen5):' \
+    -e '/( oxygen/ s/)/scalable)/' \
+    -i CMakeLists.txt &amp;&amp;</userinput></screen>
 
     <para>Install <application>oxygen-icons5</application> by running
@@ -127,5 +133,5 @@
 cd    build &amp;&amp;
 
-cmake -DOXYGEN_INSTALL_DIR=/usr/share/icons/oxygen5 -Wno-dev ..</userinput></screen>
+cmake -DCMAKE_INSTALL_PREFIX=/usr -Wno-dev ..</userinput></screen>
 
     <para>