Index: general/genutils/chrpath.xml
===================================================================
--- general/genutils/chrpath.xml	(revision 4dc96695fac5c005cfd21837741617bbad1cecc6)
+++ 	(revision )
@@ -1,143 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY chrpath-download-http "https://alioth.debian.org/frs/download.php/latestfile/813/chrpath-&chrpath-version;.tar.gz">
-  <!ENTITY chrpath-download-ftp  " ">
-  <!ENTITY chrpath-md5sum        "2bf8d1d1ee345fc8a7915576f5649982">
-  <!ENTITY chrpath-size          "132 KB">
-  <!ENTITY chrpath-buildsize     "1 MB">
-  <!ENTITY chrpath-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="chrpath" xreflabel="chrpath-&chrpath-version;">
-  <?dbhtml filename="chrpath.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>chrpath-&chrpath-version;</title>
-
-  <indexterm zone="chrpath">
-    <primary sortas="a-chrpath">chrpath</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to chrpath</title>
-
-    <para>
-      The <application>chrpath</application> modify the dynamic library load
-      path (rpath and runpath) of compiled programs and libraries.
-    </para>
-
-    &lfs82_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&chrpath-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&chrpath-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &chrpath-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &chrpath-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &chrpath-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &chrpath-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/chrpath"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of chrpath</title>
-
-    <para>
-      Install <application>chrpath</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make docdir=/usr/share/doc/chrpath-&chrpath-version; install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          chrpath
-        </seg>
-        <seg>
-          None
-        </seg>
-        <seg>
-          /usr/share/doc/chrpath-&chrpath-version;
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="chrpath-prog">
-        <term><command>chrpath</command></term>
-        <listitem>
-          <para>
-            changes the rpath or runpath in ELF files.
-          </para>
-          <indexterm zone="chrpath chrpath-prog">
-            <primary sortas="b-chrpath">chrpath</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 4dc96695fac5c005cfd21837741617bbad1cecc6)
+++ general/genutils/genutils.xml	(revision 2901bef5cac9f711599847661b46ea91e2d05c90)
@@ -26,5 +26,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="bogofilter.xml"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="chrpath.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="chrpath.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="compface.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="desktop-file-utils.xml"/>