Index: general/sysutils/logrotate.xml
===================================================================
--- general/sysutils/logrotate.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ general/sysutils/logrotate.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -7,7 +7,7 @@
   <!ENTITY logrotate-download-http "https://fedorahosted.org/releases/l/o/logrotate/logrotate-&logrotate-version;.tar.gz">
   <!ENTITY logrotate-download-ftp  " ">
-  <!ENTITY logrotate-md5sum        "2660f30742da79870d15d042b07829f6">
-  <!ENTITY logrotate-size          "76 KB">
-  <!ENTITY logrotate-buildsize     "1.9 MB">
+  <!ENTITY logrotate-md5sum        "4492b145b6d542e4a2f41e77fa199ab0">
+  <!ENTITY logrotate-size          "80 KB">
+  <!ENTITY logrotate-buildsize     "2.0 MB">
   <!ENTITY logrotate-time          "less than 0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ gnome.ent	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -51,3 +51,3 @@
 <!ENTITY network-manager-applet-version "1.0.0">
 <!ENTITY seahorse-version             "3.14.1">
-<!ENTITY totem-version                "3.14.2">
+<!ENTITY totem-version                "3.16.0">
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ gnome/applications/cheese.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -71,9 +71,19 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/cheese-&cheese-version;-clutter_gst_3.0-1.patch"/>
+       </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Cheese Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="clutter-gst2"/>,
+      <xref linkend="clutter-gst"/>,
       <xref linkend="clutter-gtk"/>,
       <xref linkend="gnome-desktop"/>,
@@ -131,5 +141,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>patch -Np1 -i ../cheese-&cheese-version;-clutter_gst_3.0-1.patch &amp;&amp;
+
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
@@ -148,4 +160,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><command>patch ...</command>: Allow <application>cheese</application>
+    to be built with clutter-gst-3.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: gnome/applications/totem.xml
===================================================================
--- gnome/applications/totem.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ gnome/applications/totem.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -6,11 +6,11 @@
 
   <!ENTITY totem-download-http 
-     "&gnome-download-http;/totem/&gnome-minor-14;/totem-&totem-version;.tar.xz">
+     "&gnome-download-http;/totem/&gnome-minor-16;/totem-&totem-version;.tar.xz">
   <!ENTITY totem-download-ftp  
-     "&gnome-download-ftp;/totem/&gnome-minor-14;/totem-&totem-version;.tar.xz">
-  <!ENTITY totem-md5sum        "82a0fc79d258269aa3adfeaf4a5c6599">
+     "&gnome-download-ftp;/totem/&gnome-minor-16;/totem-&totem-version;.tar.xz">
+  <!ENTITY totem-md5sum        "e475febf5f4b709fcd1e90b47fae99d6">
   <!ENTITY totem-size          "3.1 MB">
-  <!ENTITY totem-buildsize     "59 MB">
-  <!ENTITY totem-time          "1.7 SBU">
+  <!ENTITY totem-buildsize     "55 MB">
+  <!ENTITY totem-time          "0.6 SBU">
 ]>
 
@@ -82,5 +82,5 @@
     <para role="required">
       <xref linkend="adwaita-icon-theme"/>,
-      <xref linkend="clutter-gst2"/>,
+      <xref linkend="clutter-gst"/>,
       <xref linkend="clutter-gtk"/>,
       <xref linkend="gst10-plugins-bad"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ introduction/welcome/changelog.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -49,4 +49,15 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to totem-3.16.0. Fixes
+          <ulink url="&blfs-ticket-root;6300">#6300</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to clutter-gst-3.0.4.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to logrotate-3.9.1. Fixes
+          <ulink url="&blfs-ticket-root;6366">#6366</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Change the test instructions in OpenJDK
           to account for the new version of the jtreg test harness.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ packages.ent	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -220,5 +220,5 @@
 <!ENTITY hdwids-version               "20141022">
 <!ENTITY lm_sensors-version           "3.3.5">
-<!ENTITY logrotate-version            "3.8.9">
+<!ENTITY logrotate-version            "3.9.1">
 <!ENTITY mc-version                   "4.8.14">
 <!ENTITY obex-data-server-version     "0.4.6">
@@ -459,5 +459,5 @@
 <!ENTITY cogl-version                 "1.20.0">
 <!ENTITY clutter-version              "1.22.0">
-<!ENTITY clutter-gst2-version         "2.0.14">
+<!ENTITY clutter-gst-version          "3.0.4">
 <!ENTITY clutter-gtk-version          "1.6.0">
 <!ENTITY fltk-version                 "1.3.3">
Index: x/lib/clutter-gst.xml
===================================================================
--- x/lib/clutter-gst.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
+++ x/lib/clutter-gst.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY clutter-gst-download-http
+           "&gnome-download-http;/clutter-gst/3.0/clutter-gst-&clutter-gst-version;.tar.xz">
+  <!ENTITY clutter-gst-download-ftp
+           "&gnome-download-ftp;/clutter-gst/3.0/clutter-gst-&clutter-gst-version;.tar.xz">
+  <!ENTITY clutter-gst-md5sum        "0b4283e6ccf5ee5d9f5fb635230fc714">
+  <!ENTITY clutter-gst-size          "384 KB">
+  <!ENTITY clutter-gst-buildsize     "9.5 MB">
+  <!ENTITY clutter-gst-time          "0.1 SBU">
+]>
+
+<sect1 id="clutter-gst" xreflabel="clutter-gst-&clutter-gst-version;">
+  <?dbhtml filename="clutter-gst.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>clutter-gst-&clutter-gst-version;</title>
+
+  <indexterm zone="clutter-gst">
+    <primary sortas="a-clutter-gst">clutter-gst</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Clutter Gst</title>
+
+    <para>
+      The <application>Clutter Gst</application> is an integration library
+      for using <application>GStreamer</application> with
+      <application>Clutter</application>. Its purpose is to implement the
+      ClutterMedia interface using <application>GStreamer</application>.
+    </para>
+
+    &lfs77_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&clutter-gst-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&clutter-gst-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &clutter-gst-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &clutter-gst-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &clutter-gst-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &clutter-gst-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Clutter Gst Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="clutter"/> and
+      <xref linkend="gst10-plugins-base"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="gst10-plugins-bad"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/clutter-gst"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Clutter Gst</title>
+
+    <para>
+      Install <application>Clutter Gst</application> by running the following
+      commands:
+    </para>
+
+    <note><para>
+      This package<!--must be built from an Xterm.  It will--> fails to build
+      over an ssh session.
+    </para></note>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a testsuite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libclutter-gst-3.0.so and /usr/lib/gstreamer-1.0/libgstclutter.so
+        </seg>
+        <seg>
+          /usr/include/clutter-gst-3.0 and
+          /usr/share/gtk-doc/html/clutter-gst
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libclutter-gst-3">
+        <term><filename class="libraryfile">libclutter-gst-3.0.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Clutter Gst</application> API functions.
+          </para>
+          <indexterm zone="clutter-gst libclutter-gst-3">
+            <primary sortas="c-libclutter-gst-3">libclutter-gst-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: lib/clutter-gst2.xml
===================================================================
--- x/lib/clutter-gst2.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ 	(revision )
@@ -1,172 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY clutter-gst2-download-http
-           "&gnome-download-http;/clutter-gst/2.0/clutter-gst-&clutter-gst2-version;.tar.xz">
-  <!ENTITY clutter-gst2-download-ftp
-           "&gnome-download-ftp;/clutter-gst/2.0/clutter-gst-&clutter-gst2-version;.tar.xz">
-  <!ENTITY clutter-gst2-md5sum        "5c2847f29d7c4868d00b99fe478b65eb">
-  <!ENTITY clutter-gst2-size          "352 KB">
-  <!ENTITY clutter-gst2-buildsize     "6.5 MB">
-  <!ENTITY clutter-gst2-time          "0.2 SBU">
-]>
-
-<sect1 id="clutter-gst2" xreflabel="clutter-gst-&clutter-gst2-version;">
-  <?dbhtml filename="clutter-gst2.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>clutter-gst-&clutter-gst2-version;</title>
-
-  <indexterm zone="clutter-gst2">
-    <primary sortas="a-clutter-gst">clutter-gst</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Clutter Gst</title>
-
-    <para>
-      The <application>Clutter Gst</application> is an integration library
-      for using <application>GStreamer</application> with
-      <application>Clutter</application>. Its purpose is to implement the
-      ClutterMedia interface using <application>GStreamer</application>.
-    </para>
-
-    &lfs77_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&clutter-gst2-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&clutter-gst2-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &clutter-gst2-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &clutter-gst2-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &clutter-gst2-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &clutter-gst2-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Clutter Gst Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="clutter"/> and
-      <xref linkend="gst10-plugins-base"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="gobject-introspection"/> and
-      <xref linkend="gst10-plugins-bad"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk-doc"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/clutter-gst2"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Clutter Gst</title>
-
-    <para>
-      Install <application>Clutter Gst</application> by running the following
-      commands:
-    </para>
-
-    <note><para>
-      This package<!--must be built from an Xterm.  It will--> fails to build
-      over an ssh session.
-    </para></note>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a testsuite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libclutter-gst-2.0.so and /usr/lib/gstreamer-1.0/libgstclutter.so
-        </seg>
-        <seg>
-          /usr/include/clutter-gst-2.0 and
-          /usr/share/gtk-doc/html/clutter-gst
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libclutter-gst-2">
-        <term><filename class="libraryfile">libclutter-gst-2.0.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>Clutter Gst</application> API functions.
-          </para>
-          <indexterm zone="clutter-gst2 libclutter-gst-2">
-            <primary sortas="c-libclutter-gst-2">libclutter-gst-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: x/lib/lib.xml
===================================================================
--- x/lib/lib.xml	(revision 6675fcd51ad438e6f9ac89dd01dafbc125b4a36c)
+++ x/lib/lib.xml	(revision 2927f48f8094af7f4237f606ea4a26d661c08ef1)
@@ -33,5 +33,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cogl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clutter.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clutter-gst2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clutter-gst.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="clutter-gtk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fltk.xml"/>