Index: kde/plasma5/plasma-all.xml
===================================================================
--- kde/plasma5/plasma-all.xml	(revision 5e96852b7154b2322ba593c0bdf7484bfe17e622)
+++ kde/plasma5/plasma-all.xml	(revision 3011abe553bcb6d0bb11425ae975835c6079f2ca)
@@ -8,7 +8,7 @@
   <!ENTITY plasma5-download-ftp  " ">
   <!ENTITY plasma5-md5sum        "See Below">
-  <!ENTITY plasma5-size          "96 MB">
-  <!ENTITY plasma5-buildsize     "1.3 GB (202 MB installed)">
-  <!ENTITY plasma5-time          "48 SBU">
+  <!ENTITY plasma5-size          "101 MB">
+  <!ENTITY plasma5-buildsize     "921 MB (296 MB installed)">
+  <!ENTITY plasma5-time          "39 SBU">
 ]>
 
@@ -31,5 +31,5 @@
   They implement the KDE Display Environment (Plasma 5).</para>
 
-  &lfs79_checked;
+  &lfs79_checked;&gcc6_checked;
 
   <para>The instructions below build all of the Plasma 5 packages in one
@@ -138,46 +138,46 @@
 
 <screen><userinput>cat &gt; plasma-&plasma5-version;.md5 &lt;&lt; "EOF"
-<literal>6660c910aabea2c065b35360fc73  kde-cli-tools-5.6.2.tar.xz
-1b1480a0397aad5863a41d577c063212  kdecoration-5.6.2.tar.xz
-a8a0e4cd6215b1f180bec562c29c7841  kwayland-5.6.2.tar.xz
-712230d0dc9a2af6eea575181aa883bb  libkscreen-5.6.2.tar.xz
-080e379a143cc8dc27f29ab30fc79969  libksysguard-5.6.2.tar.xz
-59eb9906fb8120bc2d23550c376a4c90  breeze-5.6.2.tar.xz
-56dbafad5b73b343e1509c448e310068  breeze-gtk-5.6.2.tar.xz
-173888c9ce09eb9979c90735b0664d65  kscreenlocker-5.6.2.tar.xz
-b5a4831839e631ec3868047751b6c477  oxygen-5.6.2.tar.xz
-ac5b3a601d6815d3e679c4ef48b4a8e5  khelpcenter-5.6.2.tar.xz
-113a36e617b3166ae52abf486cba3bba  kinfocenter-5.6.2.tar.xz
-bdc2e791280455b1003a8e6125741490  ksysguard-5.6.2.tar.xz
-ed75b28b1bb150398f982a024ead1c5f  kwin-5.6.2.tar.xz
-bb3a9f2bb7ccfc9e1fee31ce52e96d95  systemsettings-5.6.2.tar.xz
-206c1478ac6b51971bd6ba382522da98  plasma-workspace-5.6.2.tar.xz
-f99ecfa88a1c39984ea45633935d6ab1  bluedevil-5.6.2.tar.xz
-dd37864292888e314588fd1820315e10  kde-gtk-config-5.6.2.tar.xz
-e38ba004c2ea5fdef1e6963c7e6f8163  khotkeys-5.6.2.tar.xz
-c5d4abb7ccf0eb295b8c2e89e9442ec2  kmenuedit-5.6.2.tar.xz
-820e6d0ffbcae52e0c2f0ce80b3f5df1  kscreen-5.6.2.tar.xz
-efefdd799ec7d174c5b5dcba088044c3  kwallet-pam-5.6.2.tar.xz
-1d1e3f232f008163446e21ef1afbd4c8  kwayland-integration-5.6.2.tar.xz
-92ca420cda218419809928e12580a133  kwrited-5.6.2.tar.xz
-09c132663749a634717ef723f4b50aa6  milou-5.6.2.tar.xz
-a5fb6d2fe038622fed3f2c24782d35ef  plasma-nm-5.6.2.tar.xz
-17c6544c8753c73401d3cc5cb5e22117  plasma-pa-5.6.2.tar.xz
-8084aacbe6a67af034612c38340db372  plasma-workspace-wallpapers-5.6.2.tar.xz
-ac6206cd282b271c5da0cf51bf4f7780  polkit-kde-agent-1-5.6.2.tar.xz
-13ea2c2b045bf9f094310a5a31c2509b  powerdevil-5.6.2.tar.xz
-1fb59e7d35f746366d954bb41d43fa90  plasma-desktop-5.6.2.tar.xz
-b9c62d27891e2040c3ea169ce878227a  kdeplasma-addons-5.6.2.tar.xz
-75de451386dd962dd5b772caadde46e8  kgamma5-5.6.2.tar.xz
-caabd4a2b74d4a264a834e379c20d5d4  ksshaskpass-5.6.2.tar.xz
-ef16424fa807fbc3a5912ff3e9c7f1c9  plasma-mediacenter-5.6.2.tar.xz
-#f0135635f04bd3a7005a0513d3f237c8  plasma-sdk-5.6.2.tar.xz
-f67819b2d6eadfa8e5b913815b664c5b  sddm-kcm-5.6.2.tar.xz
-3dc93bab65282450851142c16ddf3684  user-manager-5.6.2.tar.xz
-cef43f86ae5ab785afd9bf9ae7f84941  discover-5.6.2.tar.xz
-#ce518c27d41252fce8209cefff868610  breeze-grub-5.6.2.tar.xz
-#8cebf8ac0f6c2f9b5297af438728f0a7  breeze-plymouth-5.6.2.tar.xz
-568b040fedf5010bbb50ec5dc9ae4595  kactivitymanagerd-5.6.2.tar.xz
-79476c803509f64ac11301e3d37308e2  plasma-integration-5.6.2.tar.xz</literal>
+<literal>30a16a0dd46ca2ce36b7fc09355b485d  kde-cli-tools-5.6.5.tar.xz
+d979aa9467e7554874681be3f51fd5ce  kdecoration-5.6.5.tar.xz
+#dd6ad77e5d8bfbcd374f0c2e58d636a8  kwayland-5.6.5.tar.xz
+fd556c9aeaf9330bdb7755226875a245  libkscreen-5.6.5.tar.xz
+717a38db625198390e17a147d38fc532  libksysguard-5.6.5.tar.xz
+8fb2f83fae5c09bbed5e876831af124d  breeze-5.6.5.tar.xz
+05282eb95af385e5877efd3ee294429a  breeze-gtk-5.6.5.tar.xz
+d949a468af5da8b1db48a311954b06c6  kscreenlocker-5.6.5.tar.xz
+cc5407dcd31778b81b929dd833deb25b  oxygen-5.6.5.tar.xz
+968f0dcd88e96e0e52c561e333b57f2b  kinfocenter-5.6.5.tar.xz
+898c3b27feb1d86d3936ea170ba65890  ksysguard-5.6.5.tar.xz
+42829fd13bb42b2ec494315da1507670  kwin-5.6.5.tar.xz
+084b6cd34bb961a1f96234fc6e406e48  systemsettings-5.6.5.tar.xz
+#340806c1a66ac443837e77f421181c09  plasma-workspace-5.6.5.tar.xz
+340806c1a66ac443837e77f421181c09  plasma-workspace-5.6.5.1.tar.xz
+a8c144df8b08ad0853bcdb51642361d5  bluedevil-5.6.5.tar.xz
+2cf0bf3c9e392f1f4751176ddd3fa13f  kde-gtk-config-5.6.5.tar.xz
+4f956210baea44254d5d5fdd8f516d4a  khotkeys-5.6.5.tar.xz
+304f6a029ece2b0da8ddd07fb892a0ae  kmenuedit-5.6.5.tar.xz
+060b56fb63ed8a493a0ab8ab60ae486d  kscreen-5.6.5.tar.xz
+4774f5d95199bf94806cd6b63a64e676  kwallet-pam-5.6.5.tar.xz
+a72a8b5f705e6ab68f3f209ae817480a  kwayland-integration-5.6.5.tar.xz
+5d00f53ee1b3713a54a9f3d64095d932  kwrited-5.6.5.tar.xz
+d4c33cf3856db7e3af8a2cade370e14d  milou-5.6.5.tar.xz
+9b9e6c59710285a603f29d01def056c8  plasma-nm-5.6.5.tar.xz
+7130274b1089a12697121bdc57dde266  plasma-pa-5.6.5.tar.xz
+4ad9d8fc0be4ca99800856b888023fca  plasma-workspace-wallpapers-5.6.5.tar.xz
+d57d8318146fae78dadec75abdf3328c  polkit-kde-agent-1-5.6.5.tar.xz
+d988b78411f1f370230b8854456ebe7b  powerdevil-5.6.5.tar.xz
+36858c6e1696bfead82d3a06edc6df20  plasma-desktop-5.6.5.tar.xz
+b0cf3a7e6147d1fc33ca40895a9998fa  kdeplasma-addons-5.6.5.tar.xz
+37dee802109c585f5ccf94da294b022d  kgamma5-5.6.5.tar.xz
+4a42a147c82c56924ebdb07de72616fd  ksshaskpass-5.6.5.tar.xz
+133031892c4c93891ce26176ca483828  plasma-mediacenter-5.6.5.tar.xz
+#ebde5a3ececfc0b34e43580e0b6e0a26  plasma-sdk-5.6.5.tar.xz
+3ff070fd1c450fbbfc9a7628fed15601  sddm-kcm-5.6.5.tar.xz
+3b6b859443a79ac47a04542e55f4dc52  user-manager-5.6.5.tar.xz
+ce253c1c0b1f2d70db2bf9a9b0ba9381  discover-5.6.5.tar.xz
+#8b23b0b1af6b70e335640d779ca9fc9e  breeze-grub-5.6.5.tar.xz
+#97beb61c443e298196c6ec86cd7533f3  breeze-plymouth-5.6.5.tar.xz
+1601ae991cecb49a2fa0eda05ac056a2  kactivitymanagerd-5.6.5.tar.xz
+bf34fb0e93402001f327bf99c195cebe  plasma-integration-5.6.5.tar.xz</literal>
 EOF</userinput></screen>
 
@@ -186,7 +186,8 @@
     url="https://www.freedesktop.org/wiki/Software/Plymouth/">Plymouth</ulink>
     which is designed to be run within an initial ram disk during boot (see
-    <xref linkend="initramfs"/>).  The plasma-sdk package is optional and
-    used for software development.
-    </para></note>
+    <xref linkend="initramfs"/>).  The plasma-sdk package is optional and used
+    for software development.  Thre are two versions of plasma-workspace and we
+    use the most recent.  kwaylayland is now installed in <xref
+    linkend="kf5-frameworks"/>.  </para></note>
 
   </sect2>
@@ -217,4 +218,11 @@
     packagedir=$(echo $pkg|sed 's|\.tar.*||') # Package directory
 
+    # Correct the name of the extracted directory
+    case $packagedir in
+      plasma-workspace-5.6.5.1 )
+        packagedir=plasma-workspace-5.6.5
+        ;;
+    esac
+
     tar -xf $file
     pushd $packagedir
@@ -222,12 +230,4 @@
        mkdir build
        cd    build
-
-       OPTS=""
-
-       case $packagedir in
-         kwayland-&plasma5-version; )
-           OPTS="-DECM_MKSPECS_INSTALL_DIR=$KF5_PREFIX/share/mkspecs/modules"
-           ;;
-       esac
 
        cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
@@ -235,5 +235,4 @@
              -DLIB_INSTALL_DIR=lib              \
              -DBUILD_TESTING=OFF                \
-             $OPTS                              \
              -Wno-dev ..  &amp;&amp;
 
@@ -270,14 +269,4 @@
   <sect2 role="starting">
     <title>Starting Plasma5</title>
-
-    <caution>
-      <para>If you have KDE4 installed as well as Plasma 5, make sure the 
-      PATH environment setting has the Plasma 5 binaries before the KDE4 entry.
-      You can ensure this by running:</para>
-
-      <screen><userinput>pathprepend /opt/kf5/bin</userinput></screen>
-
-      <para>before running startx.</para>
-    </caution>
 
     <para>
@@ -312,5 +301,5 @@
     </para>
 
-    <screen><userinput>startx &amp;&gt; ~/.x-session-errors</userinput></screen>
+    <screen><userinput>startx &amp;&gt; ~/x-session-errors</userinput></screen>
 
     <note>